man(1)

NAME
man - Formatieren und Anzeigen von Seiten des Online-Handbuches (man pages)
manpath - Anzeigen des Benutzer-eigenen Suchpfades für Seiten des Online-Handbuches (man pages)

SYNTAX
man [-acdfhktw] [-m system] [-p string] [-C config_file] [-M path] [-P pager] [-S section_list] [section] name ...

BESCHREIBUNG
man formatiert Seiten aus dem Online-Handbuch und zeigt diese an. Diese Version unterstützt die MANPATH und (MAN)PAGER Umgebungsvariablen, so daß Sie ihre eigenen man pages verwenden können und selbst wählen können, welches Programm die formatierten Seiten anzeigen soll. Wenn der Parameter section angegeben wird, so sucht man nur in dieser Sektion des Handbuchs. Sie können auch mit Hilfe von Kommando-Zeilen-Optionen oder Umgebungsvariablen die Reihenfolge angeben, in der die Sektionen nach Einträgen durchsucht werden und welche zusätzlichen Programme die Quelltexte bearbeiten sollen. Wenn der Parameter name das Zeichen / enthält, dann wird zunächst versucht, diese Datei zu bearbeiten. Damit können Sie z.B. man ./foo.5 oder auch man /cd/foo/bar.1.gz eingeben.

OPTIONEN

-C  config_file
    bestimmt welche man.conf-Datei als Steuerdatei verwendet wird.

-M  path
    bestimmt eine Liste von Verzeichnissen, die nach Handbuch-Seiten durchsucht werden. Wenn diese Option nicht angegeben ist, so wird die Umgebungsvariable MANPATH benutzt. Ist diese Variable nicht gesetzt, so wird diese Liste aus der Datei man.conf erstellt.

-P  pager
    bestimmt welches Programm zur Anzeige der Handbuch-Seiten benutzt wird. Als default benutzt man /bin/less -isr Diese Option überschreibt die Umgebungsvariable PAGER

-S  section_list
    ist eine durch Doppelpunkte getrennte Liste von Handbuch-Sektionen, die nach Handbuch-Seiten durchsucht werden soll. Diese Option überschreibt die Umgebungsvariable MANSECT

-a  Als Default wird man beendet, nachdem es die erste Handbuchseite angezeigt hat, die gefunden wurde. Diese Option weist man an, alle Handbuch-Seiten anzuzeigen, die zu name, passen, nicht nur die erste.

-d  zeigt nicht die Handbuch-Seiten an, sondern gibt etliche Informationen zur Fehlersuche aus.

-f  ist äquivalent zu whatis.

-h  gibt eine (einzeilige) Hilfe aus und beendet man.

-k  ist äquivalent zu apropos.

-K  Suche in *allen* Manualseiten nach dem angegebenen Schlüsselwort. Achtung: Die Suche dauert möglicherweise sehr lange! Die Angabe der Sektion beschleunigt die Suche. (Als groben Richtwert für die Suche kann man ca. eine Minute für 500 Manualseiten ansetzen.)

-m  system
    bestimmt eine andere Menge von Handbuch-Seiten, die aufgrund des angegebenen System-Namen durchsucht werden sollen.

-p  string
    bestimmt die Abfolge von Präprozessoren, die vor nroff oder troff gestartet werden sollen. Nicht alle Installationen verfügen über alle Präprozessoren. Einige der Präprozessoren und die dafür verwendeten Buchstaben sind: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Diese Option überschreibt die Umgebungsvariable MANROFFSEQ

-t  benutzt troff -mandoc -c um die Handbuch-Seite zu formatieren und leitet die Ausgabe weiter nach stdout. Die Ausgabe von troff -mandoc -c muß möglicherweise durch einen Filter weiterbearbeitet werden, bevor sie gedruckt werden kann.

-w or --path
    die Handbuchseiten werden nicht angezeigt, sondern die Fundorte der Seiten, die formatiert oder angezeigt würden. Wenn kein Argument angegeben wurde, wird die Liste der Verzeichnisse ausgegeben, die von man nach Handbuch-Seiten durchsucht werden. Wenn manpath ein Link zu man ist, dann ist "manpath" äquivalent zu "man --path".

ENVIRONMENT

MANPATH
    Wenn die Umgebungsvariable MANPATH gesetzt ist, dann wird dieser Wert als Suchpfad für Handbuch-Seiten verwendet.

MANROFFSEQ
    Wenn die Umgebungsvariable MANROFFSEQ gesetzt ist, dann wird dieser Wert benutzt um die Präprozessoren zu bestimmen, die aufgerufen werden sollen, bevor die Handbuch-Seite mit nroff oder troff bearbeitet wird. Standardmäßig werden Handbuch-Seiten durch den Tabellen Präprozessor bearbeitet bevor nroff gestartet wird.

MANSECT
    Wenn die Umgebungsvariable MANSECT gesetzt ist, dann bestimmt dieser Wert welche Handbuch-Sektionen durchsucht werden sollen.

MANWIDTH
    Wenn die Umgebungsvariable MANWIDTH gesetzt ist, dann beschreibt deren Wert die Breite auf der die Handbuch-Seite angezeigt werden soll. Ansonsten wird die Seite u.U. über die gesamte Breite des Bildschirmes gezogen.

PAGER
    Wenn die Umgebungsvariable PAGER gesetzt ist, so wird dieser Wert als Name des Programms benutzt, mit dem die Handbuch-Seiten angezeigt werden sollen. Standardmäßig wird /bin/less -isr verwendet.

LANG
    Wenn die Umgebungsvariable LANG gesetzt ist, gibt ihr Inhalt den Namen des Unterverzeichnisses an, wo zuerst nach der Handbuch-Seite gesucht werden soll. So zB bewirkt der Shell-Befehl `LANG=dk man 1 foo', daß man zuerst in ...dk/man1/foo.1 nach der Handbuchseite für 'foo' sucht, und wenn es dort nicht fündig wird, dann in ...man1/foo.1, wobei '...' ein Verzeichnis aus dem Suchpfad bedeutet.

NLSPATH, LC_MESSAGES, LANG
    Die Umgebungsvariablen NLSPATH und LC_MESSAGES (oder LANG falls erstere nicht existiert) spielen bei der Suche nach dem Message Katalog eine Rolle (englische Messages sind fest einkompiliert, daher ist auch kein Katalog für sie notwendig). Beachten Sie, daß auch Programme wie col(1), das von man aufgerufen wird, noch zusätzliche Variablen wie LC_CTYPE benutzen.

PATH
    PATH wird bei der Konstruktion des vorgegebenen Suchpfades für Handbuchseiten verwendet.

SYSTEM
    SYSTEM wird verwendet, um einen alternativen Systemnamen herauszufinden (sinnvoll zusammen mit der -m Option).

SIEHE AUCH
apropos(1), whatis(1), less(1), groff(1).

BUGS
Die -t Option kann nur auf System verwendet werden, auf denen ein troff-Programm installiert ist.